# Class Assemble

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.language.assembler.tasks.Assemble

All Implemented Interfaces:
  `Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Task, org.gradle.util.Configurable<Task>`

@Incubating public class Assemble extends DefaultTask
Translates Assembly language source files into object files.

## Nested Class Summary

### Nested classes/interfaces inherited from interface Task

`Task.Namer`

## Field Summary

### Fields inherited from interface Task

`TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

## Constructor Summary

Constructors
Constructor
Description
`Assemble()`

## Method Summary

Modifier and Type
Method
Description
`void`
`assemble()`
`List<String>`
`getAssemblerArgs()`
Additional arguments to provide to the assembler.
`FileCollection`
`getIncludes()`
Returns the header directories to be used for compilation.
`File`
`getObjectFileDir()`
The directory where object files will be generated.
`org.gradle.internal.operations.logging.BuildOperationLoggerFactory`
`getOperationLoggerFactory()`
`FileCollection`
`getSource()`
`NativePlatform`
`getTargetPlatform()`
The platform being targeted.
`NativeToolChain`
`getToolChain()`
The tool chain being used to build.
`void`
`includes(Object includeRoots)`
Add directories where the compiler should search for header files.
`void`
`setAssemblerArgs(List<String> assemblerArgs)`
`void`
`setObjectFileDir(File objectFileDir)`
`void`
`setTargetPlatform(NativePlatform targetPlatform)`
`void`
`setToolChain(NativeToolChain toolChain)`
`void`
`source(Object sourceFiles)`
Adds a set of assembler sources files to be translated.

### Methods inherited from class DefaultTask

`newInputDirectory, newInputFile, newOutputDirectory, newOutputFile`

### Methods inherited from class org.gradle.api.internal.AbstractTask

`addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Assemble

@Inject public Assemble()

## Method Details

### getOperationLoggerFactory

@Inject public org.gradle.internal.operations.logging.BuildOperationLoggerFactory getOperationLoggerFactory()

### assemble

public void assemble()

### getSource

@InputFiles @SkipWhenEmpty public FileCollection getSource()

### source

public void source(Object sourceFiles)
Adds a set of assembler sources files to be translated. The provided sourceFiles object is evaluated as per `Project.files(Object...)`.

### getAssemblerArgs

@Input public List<String> getAssemblerArgs()
Additional arguments to provide to the assembler.

### setAssemblerArgs

public void setAssemblerArgs(List<String> assemblerArgs)

### getToolChain

@Internal public NativeToolChain getToolChain()
The tool chain being used to build.

### setToolChain

public void setToolChain(NativeToolChain toolChain)

### getTargetPlatform

public NativePlatform getTargetPlatform()
The platform being targeted.

### setTargetPlatform

public void setTargetPlatform(NativePlatform targetPlatform)

### getObjectFileDir

@OutputDirectory public File getObjectFileDir()
The directory where object files will be generated.

### setObjectFileDir

public void setObjectFileDir(File objectFileDir)

### getIncludes

@InputFiles public FileCollection getIncludes()
Returns the header directories to be used for compilation.

Since:
  4.4

### includes

public void includes(Object includeRoots)
Add directories where the compiler should search for header files.

Since:
  4.4